[khronos-opencl-headers] 01/04: import the svn repository with git svn

Andreas Beckmann anbe at moszumanska.debian.org
Mon Sep 21 02:38:57 UTC 2015


This is an automated email from the git hooks/post-receive script.

anbe pushed a commit to branch from-svn-to-git
in repository khronos-opencl-headers.

commit 26a45a0dfbb5310947217ec5298b1bab6aa85691
Author: Andreas Beckmann <anbe at debian.org>
Date:   Sun Sep 20 18:15:02 2015 +0200

    import the svn repository with git svn
---
 01-import-svn | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/01-import-svn b/01-import-svn
new file mode 100755
index 0000000..affab18
--- /dev/null
+++ b/01-import-svn
@@ -0,0 +1,35 @@
+#!/bin/sh
+set -e
+#set -x
+
+self=$(readlink -f $0)
+
+test -n "$1" && test ! -e "$1" || exit 0
+
+mkdir "$1"
+cd "$1"
+
+sourcepkg=khronos-opencl-headers
+
+git svn init svn://svn.debian.org/svn/pkg-nvidia/packages/${sourcepkg} --stdlayout
+
+git config svn.findcopiesharder 1
+git config svn.authorsfile .git/authors
+git config user.name "$DEBFULLNAME"
+git config user.email "$DEBEMAIL"
+
+cat - > .git/authors << EOF
+anbe-guest = Andreas Beckmann <debian at abeckmann.de>
+anbe = Andreas Beckmann <anbe at debian.org>
+rra = Russ Allbery <rra at debian.org>
+EOF
+
+git svn fetch --no-checkout
+
+git symbolic-ref HEAD refs/heads/from-svn-to-git
+rm -f .git/index
+git clean -fdx
+script=$(basename $0)
+cp -a "$self" "$script"
+git add "$script"
+git commit -m "import the svn repository with git svn"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-opencl/khronos-opencl-headers.git



More information about the Pkg-opencl-commits mailing list